body {
    background: #36393f;
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.login-container {
    background: url('/assets/images/discord_bg.png');
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-box {
    width: 480px;
    padding: 32px;
    font-size: 18px;
    max-width: 90%;
    background: #36393f;
    border-radius: 5px;
    color: hsl(214, 4%, 65.3%);;
    -webkit-box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);;
    box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);;
}

.form-group {
    margin-bottom: 10px;
}

.form-group label {
    text-transform: uppercase;
    color: #bbb7ba;
    font-weight: 700;
    font-size: 12px;
}

.form-control {
    background: #202225;
    color: #dbdbdb;
    border:none;
    padding: 10px 10px;
}

.error,
.red {
    color: rgb(237,66,69);
}

.button-group {
    margin-top: 20px;
}

.button-group .btn-primary {
    font-size: 16px;
    line-height: 24px;
    -webkit-transition: background-color .17s ease,color .17s ease;
    transition: background-color .17s ease,color .17s ease;
    padding: 9px 16px;
    border-radius: 3px;
    width: 100%;
    background-color: hsl(235, 85.6%, 64.7%);
    border: none;
    font-weight: 600;
}

.button-group .btn-primary:hover {
    background-color: #4752c4;
}

h1 {
    color: white;
    font-size: 25px;
    font-weight: 600;
    text-align: center;
}

.error_conn {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #ed4245;
    text-align: center;
    padding: 10px;
    color: #ffbdbd;
    font-weight: 700;
}

.panel {
    display: flex;
}

.panel .select-server {
    background-color: #202225;
    width: 72px;
    height: 100vh;
    padding: 11px;
}

.panel .select-server .server {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: #2f3136;
    cursor: pointer;
    margin-bottom: 10px;
}

.panel .select-server .server img {
    width: 48px;
    height: 48px;
    border-radius: 50%;
}

.panel .menu {
    background-color: #2f3136;
    width: 240px;
    height: 100vh;
}

.panel .content {
    background: #2f3136;
    width: calc(100% - 312px);
    max-height: calc(100vh - 60px);
    margin: 30px;
    border-radius: 15px;
    box-sizing: border-box;
    -webkit-box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);
    box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);
    padding: 20px;
    color:white;
}

.panel .add-server a {
    color: white;
    width: 48px;
    height: 48px;
    display: block;
    font-size: 29px;
    font-weight: 500;
    text-decoration: none;
    line-height: 1;
    border-radius: 50%;
    padding: 7px 14px;
}

/* Menu */

.panel .menu>div {
    width: 100%;
    box-sizing: border-box;
    margin-top: 10px;
    display: flex;
    flex-direction: column;
}
.panel .menu>div a {
    width: 90%;
    margin: 5px 5%;
    padding: 8px 12px;
    border-radius: 5px;
    color: white;
    text-decoration: none;
}

.panel .menu>div a:hover {
    background: #222426;
    -webkit-box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);
    box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);
}

.panel .menu>div .active {
    background: #222426;
    -webkit-box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);
    box-shadow: 0 2px 10px 0 rgba(0,0,0,0.2);
}

.content .header {
    display: flex;
    justify-content: space-between;
}

.content .header h3 {
    margin:0;
}
.content .header p {
    text-transform: uppercase;
    color: #bbb7ba;
    font-weight: 700;
    font-size: 12px;
}

.content .btn-primary {
    -webkit-transition: background-color .17s ease,color .17s ease;
    transition: background-color .17s ease,color .17s ease;
    padding: 9px 16px;
    border-radius: 3px;
    background-color: hsl(235, 85.6%, 64.7%);
    border: none;
    font-weight: 600;
}

.content .btn-danger,
.content .btn-secondary {
    -webkit-transition: background-color .17s ease,color .17s ease;
    transition: background-color .17s ease,color .17s ease;
    padding: 9px 16px;
    border-radius: 3px;
    font-weight: 600;
    border: none;
}

.content .btn-primary:hover {
    background-color: #4752c4;
}

.table {
    color: #bbb7ba;
}

.table tr>td:last-child {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.table tr>td:last-child>* {
    margin-left:5px;
}

/* Embed view */
.view .show-view {
    width: 100%;
    min-height: 200px;
    background: #36393e;
    padding: 1.5rem;
    -webkit-box-shadow: inset 0px 0px 7px 0px rgb(22 23 24);
    -moz-box-shadow: inset 0px 0px 7px 0px rgb(22 23 24);
    box-shadow: inset 0px 0px 7px 0px rgb(22 23 24);
}

hr {
    margin: 0.5rem 0;
}

.view .wrapper {
    display: flex;
    max-width: 520px;
}

.side-colored {
    width: 5px;
    border-radius: 3px 0 0 3px;
    background: #4f545c;
}

.embed {
    border-radius: 0 3px 3px 0;
    background: rgba(46, 48, 54, 0.3);
    border-color: rgba(46, 48, 54, 0.6);
    display: flex;
    padding: 15px 13px;
    color: rgba(255, 255, 255, 0.6);
    font-size: 14px;
    max-width: calc(100% - 5px);
}

.embed .card-block {
    padding: 0;
    display: flex;
    margin-bottom: 10px;
}
.card-block {
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem;
}

.embed img.embed-thumb {
    max-height: 80px;
    max-width: 80px;
    border-radius: 3px;
    flex-shrink: 0;
    width: auto;
    -o-object-fit: contain;
    object-fit: contain;
    margin-left: 20px;
}

.embed .embed-inner .embed-author {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
    color: white;
    font-weight: 600;
}

.embed .embed-inner .embed-author img.embed-author-icon {
    margin-right: 9px;
    width: 25px;
    height: 25px;
    -o-object-fit: contain;
    object-fit: contain;
    border-radius: 50%;
}

.embed .embed-footer img.embed-footer-icon {
    margin-right: 5px;
    width: 20px;
    height: 20px;
    -o-object-fit: contain;
    object-fit: contain;
    border-radius: 50%;
}


.embed .embed-inner .embed-author .embed-author-name {
    display: inline-block;
    font-weight: 600;
    font-size: 14px;
    color: #fff !important;
    text-decoration: none;
}

.embed a {
    color: #0096cf;
    text-decoration: none;
}

.embed a:hover {
    text-decoration: underline !important;
}

.embed .embed-inner .embed-title {
    color: #fff;
    font-weight: 600;
    font-size: 16px;
    margin-bottom: 10px;
}

.embed-image img {
    max-width: 100%;
    border-radius: 3px;
    margin-bottom: 10px;
}

.embed .embed-footer {
    font-size: 12px;
}

.embed .embed-footer span {
    color: rgba(255, 255, 255, 0.6);
}

.embed-footer-dot {
    display: none;
}

.embed-description {
    white-space: pre-wrap;
}

textarea {
    min-height: 150px !important;
}

.panel {
    color: white;
}

select:disabled {
    background: #202225 !important;
    opacity: 0.4 !important;
}